// Code generated by github.com/atombender/go-jsonschema, DO NOT EDIT.

package frames

import "fmt"
import "encoding/json"

// Frame with relays state
type RelaysStateSchemaJson struct {
	// Enabled 2m band filter power supply.
	Filter2M bool `json:"filter2m" yaml:"filter2m" mapstructure:"filter2m"`

	// Enabled 70 cm band filter power supply
	Filter70Cm bool `json:"filter70cm" yaml:"filter70cm" mapstructure:"filter70cm"`

	// Enabled rotator power supply.
	Rotator bool `json:"rotator" yaml:"rotator" mapstructure:"rotator"`
}

// UnmarshalJSON implements json.Unmarshaler.
func (j *RelaysStateSchemaJson) UnmarshalJSON(b []byte) error {
	var raw map[string]interface{}
	if err := json.Unmarshal(b, &raw); err != nil {
		return err
	}
	if v, ok := raw["filter2m"]; !ok || v == nil {
		return fmt.Errorf("field filter2m in RelaysStateSchemaJson: required")
	}
	if v, ok := raw["filter70cm"]; !ok || v == nil {
		return fmt.Errorf("field filter70cm in RelaysStateSchemaJson: required")
	}
	if v, ok := raw["rotator"]; !ok || v == nil {
		return fmt.Errorf("field rotator in RelaysStateSchemaJson: required")
	}
	type Plain RelaysStateSchemaJson
	var plain Plain
	if err := json.Unmarshal(b, &plain); err != nil {
		return err
	}
	*j = RelaysStateSchemaJson(plain)
	return nil
}
